%define ver 4.2.0rc1
%define prefix /usr/local

Summary: Locomotive Web Application Server
Name: locomotive
Version: 4.2.0rc1
Release: 1
Copyright: Locomotive Public License (LPL)
Group: Applications/Internet
Source: http://www.locomotive.org/download/locomotive_%{ver}-unix.tar.gz
Packager: Jason Brittain <brittainj@diamtech.com>
URL: http://www.locomotive.org
Prefix: %{prefix}
Patch: locomotive-4.2.0rc1.patch
Provides: mod_locolink.so nsapi_locolink.so
Requires: ld-linux.so.2 libc.so.6 /bin/csh /bin/sh

%description
Production-ready, scalable web application server environment
for building sophisticated, dynamic web sites.  Runs on Java 1.1, 1.2, or 1.3,
is completely Java Servlet 2.1 compliant, supports several Java Server Pages
(JSP) 1.0 libraries, comes with a built-in web server (you can optionally use
the Locomotive with Apache or other popular web servers), and has database
integration for quickly creating a web application.

%prep
%setup -n locomotive
%patch -p 1
cd src
./configure --prefix=$RPM_BUILD_DIR/locomotive

%build
cd src
make
cd java
make jar
make install
make clean

%install
mkdir -p %{prefix}/locomotive
cp -r * %{prefix}/locomotive

%post
chmod 750 $RPM_INSTALL_PREFIX/locomotive/bin/new_loco_root.sh
$RPM_INSTALL_PREFIX/locomotive/bin/new_loco_root.sh $RPM_INSTALL_PREFIX

%clean
rm -rf *

%files
%doc CHANGES
%doc ChangeLog
%doc INSTALL
%doc LICENSE
%doc README
%doc README.freebsd
%doc README.linux
%doc README.macos
%doc README.solaris
%doc README.windows
%docdir docs
%doc docs
%docdir images
%doc images
%config %{prefix}/locomotive/config/server/Loco.cfg
%config %{prefix}/locomotive/config/NameService.cfg
%config %{prefix}/locomotive/config/ServiceList.cfg
%config %{prefix}/locomotive/config/btrack.properties
%config %{prefix}/locomotive/config/discuss.properties
%config %{prefix}/locomotive/config/hrt.conf
%config %{prefix}/locomotive/config/httpdtest.conf
%config %{prefix}/locomotive/config/loco.conf
%config %{prefix}/locomotive/config/pub.properties
%config %{prefix}/locomotive/config/services/ThreadPoolManager.cfg
%config %{prefix}/locomotive/config/services/ConnectionPool.cfg
%config %{prefix}/locomotive/config/services/ErrorLog.cfg
%config %{prefix}/locomotive/config/services/EventLog.cfg
%config %{prefix}/locomotive/config/services/LocoConfig.cfg
%config %{prefix}/locomotive/config/servlet.conf
%{prefix}/locomotive/CHANGES
%{prefix}/locomotive/ChangeLog
%{prefix}/locomotive/INSTALL
%{prefix}/locomotive/LICENSE
%{prefix}/locomotive/README
%{prefix}/locomotive/README.freebsd
%{prefix}/locomotive/README.linux
%{prefix}/locomotive/README.macos
%{prefix}/locomotive/README.solaris
%{prefix}/locomotive/README.windows
%{prefix}/locomotive/bin
%{prefix}/locomotive/classes
%{prefix}/locomotive/db
%{prefix}/locomotive/docs
%{prefix}/locomotive/images
%{prefix}/locomotive/index.html
%{prefix}/locomotive/lib
%{prefix}/locomotive/localconfig
%{prefix}/locomotive/logs
%{prefix}/locomotive/servlet
%{prefix}/locomotive/src
%{prefix}/locomotive/templates
%{prefix}/locomotive/upload
